Skip to main content
POST
/
image-generation
seedream-5.0-lite
curl --request POST \
  --url https://api.linkai.one/api/v1/image-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "seedream-5.0-lite",
  "prompt": "<string>",
  "images": "<array>",
  "max_images": 1,
  "quality": "<string>",
  "size": "<string>"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
seedream-5.0-lite
prompt
string
required

prompt length must be <= 600

Maximum string length: 600
images
array

too many reference images, maximum is 10 for seedream-4.0

max_images
enum<integer>
Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
quality
string

quality must be 2K or 3K

size
string

invalid size, must be one of: 1x1, 4x3, 3x4, 16x9, 9x16, 3x2, 2x3, 21x9

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"